Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::SegmentWriteState Class Reference

`#include <SegmentWriteState.h>`

Inheritance diagram for Lucene::SegmentWriteState:

## Public Member Functions

| SegmentWriteState (const DocumentsWriterPtr &docWriter, const DirectoryPtr &directory, const String &segmentName, const String &docStoreSegmentName, int32_t numDocs, int32_t numDocsInStore, int32_t termIndexInterval)
virtual | ~SegmentWriteState ()
virtual String | getClassName ()
boost::shared_ptr< SegmentWriteState > | shared_from_this ()
String | segmentFileName (const String &ext)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

DocumentsWriterWeakPtr | _docWriter
DirectoryPtr | directory
String | segmentName
String | docStoreSegmentName
int32_t | numDocs
int32_t | termIndexInterval
int32_t | numDocsInStore
HashSet< String > | flushedFiles

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ SegmentWriteState()

Lucene::SegmentWriteState::SegmentWriteState | ( | const DocumentsWriterPtr & | docWriter,
|  | const DirectoryPtr & | directory,
|  | const String & | segmentName,
|  | const String & | docStoreSegmentName,
|  | int32_t | numDocs,
|  | int32_t | numDocsInStore,
|  | int32_t | termIndexInterval
| ) |  |

## ◆ ~SegmentWriteState()

virtual Lucene::SegmentWriteState::~SegmentWriteState | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::SegmentWriteState::_getClassName | ( |  | ) |

inline static

## ◆ getClassName()

virtual String Lucene::SegmentWriteState::getClassName | ( |  | ) |

inline virtual

## ◆ segmentFileName()

String Lucene::SegmentWriteState::segmentFileName | ( | const String & | ext | ) |

## ◆ shared_from_this()

boost::shared_ptr< SegmentWriteState > Lucene::SegmentWriteState::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ _docWriter

DocumentsWriterWeakPtr Lucene::SegmentWriteState::_docWriter

## ◆ directory

DirectoryPtr Lucene::SegmentWriteState::directory

## ◆ docStoreSegmentName

String Lucene::SegmentWriteState::docStoreSegmentName

## ◆ flushedFiles

HashSet<String> Lucene::SegmentWriteState::flushedFiles

## ◆ numDocs

int32_t Lucene::SegmentWriteState::numDocs

## ◆ numDocsInStore

int32_t Lucene::SegmentWriteState::numDocsInStore

## ◆ segmentName

String Lucene::SegmentWriteState::segmentName

## ◆ termIndexInterval

int32_t Lucene::SegmentWriteState::termIndexInterval

The documentation for this class was generated from the following file:

- SegmentWriteState.h

clucene.sourceforge.net